{% extends "photo_blog/base.html" %}
{% block content %}

<center>
  <h4>Notificaciones</h4>
</center>
{% if object_list %}
  <div class="content">
  {% for notification in object_list reversed %}
    {% if notification.comment %}
      {% if notification.comment.post.author == user %}
        <div class="media-body">
          <div class="article-metadata">
            <img class='rounded-circle article-img crop'src="{{ notification.comment.author.profile.image.url }}" height="50" width="50">
            <a class="black-link" href="{% url 'photo_blog-profile' notification.comment.author.username %}">{{ notification.comment.author }}</a>
            commented at {{ notification.comment.date_posted }}:
            <p class="ml-5">
              "{{ notification.comment.text }}"
              on your
              <a class="black-link" href="{% url 'photo_blog-detail' notification.post.id %}">post.</a>
            </p>
            </br>
          </div>
        </div>
      {% endif %}
    {% elif notification.liked %}
      {% if notification.user != user %}
        {% if notification.post.author == user %}
          <div class="media-body">
            <div class="article-metadata">
              <img class='rounded-circle article-img crop'src="{{ notification.user.profile.image.url }}" height="50" width="50">
              <a class="black-link" href="{% url 'photo_blog-profile' notification.user.username %}">{{ notification.user }}</a>
              liked your
              <a class="black-link" href="{% url 'photo_blog-detail' notification.post.id %}">post.</a>
              </br>
              </br>
              </br>
            </div>
          </div>
        {% endif %}
      {% endif %}
    {% elif notification.followed %}
      {% if notification.user != user %}
        {% if notification.profile.user == user %}
          <div class="media-body">
            <div class="article-metadata">
              <img class='rounded-circle article-img crop'src="{{ notification.user.profile.image.url }}" height="50" width="50">
              <a class="black-link" href="{% url 'photo_blog-profile' notification.user.username %}">{{ notification.user }}</a>
              started following you.
              </br>
              </br>
              </br>
            </div>
          </div>
        {% endif %}
      {% endif %}
    {% endif %}
  {% endfor %}
  </div>
{% else %}
  <center>
    You don't have any notifications yet.
  </center>
{% endif %}

{% endblock %}
